Get all transactional campaigns
Returns a list of all transactional campaigns.
Endpoint
Section titled “Endpoint”HTTP method: GET
https://api.sender.net/v2/transactional?limit=10
Parameters
Section titled “Parameters”| Parameter | Type | Description |
|---|---|---|
limit | integer | How many records should be returned on each page of the response. |
Request Examples
Section titled “Request Examples”const url = new URL("https://api.sender.net/v2/transactional?limit=10");
let headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",};
fetch(url, { method: "GET", headers,}).then(response => response.json()).then(data => console.log(data)).catch(error => console.error('Error:', error));$client = new \GuzzleHttp\Client();$response = $client->get( 'https://api.sender.net/v2/transactional?limit=10', [ 'headers' => [ 'Authorization' => 'Bearer [your-token]', 'Content-Type' => 'application/json', 'Accept' => 'application/json', ], ]);
$body = $response->getBody()->getContents();$data = json_decode($body, true);print_r($data);import requestsimport json
url = "https://api.sender.net/v2/transactional?limit=10"
headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",}
response = requests.request('GET', url, headers=headers)
print(response.json())curl -X GET \-G "https://api.sender.net/v2/transactional?limit=10" \-H "Authorization: Bearer [your-token]" \-H "Content-Type: application/json" \-H "Accept: application/json"Response
Section titled “Response”{ "data": [ { "id": "dN0ol8", "user_id": "b2zzjb", "account_id": "boEyke", "title": "Test transactional campaign", "subject": "Test transactional campaign subject", "from": "Sender support", "domain_id": "bkRz2N", "created": "2025-07-24 19:09:37", "modified": "2025-07-24 19:09:41", "type": "API", "last_action": "editor", "editor": "plain", "disable_click_tracking": false, "html": { "id": "aMYlw5", "thumbnail_url": "https://cdn.sender.net/thumbnails/boEyke/html/aMYlw5.webp?v=1753362578", "has_preview": true, "has_snapshots": false, "styles": "<style>p { font-size: 16px; font-family: Arial, Helvetica, sans-serif; line-height: 1.5; margin: 0 !important;} h1 { font-size: 30px; font-family: Arial, Helvetica, sans-serif; margin: 0 !important; } h2 { font-size: 24px; font-family: Arial, Helvetica, sans-serif; margin: 0 !important; } h3 { font-size: 18px; font-family: Arial, Helvetica, sans-serif; margin: 0 !important; } a { color: rgb(9, 132, 207) !important; } code { background-color: inherit; color: inherit; font-family: monospace; font-size: inherit; padding: 0; } blockquote { margin: 0 !important; border-left: 3px solid rgb(204, 204, 204) !important; padding-left: 2ex !important; } blockquote p { margin-block-start: 1rem !important; margin-block-end: 1rem !important; } hr { border-color: rgb(204, 204, 204) !important; border-style: solid !important; border-width: 1px 0 0 !important; }</style>" }, "bounced": 0, "unsubscribeCount": 0, "opens": 0, "clicks": 0, "sent": 0, "purchaseCount": 0 } ], "links": { "first": "https://api.sender.net/v2/transactional?page=1", "last": "https://api.sender.net/v2/transactional?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "links": [ { "url": null, "label": "« Previous", "active": false }, { "url": "https://api.sender.net/v2/transactional?page=1", "label": "1", "active": true } ], "path": "https://api.sender.net/v2/transactional", "per_page": 10, "to": 1, "total": 1 }, "has_more_resources": false}